local headerFontPath = "Interface\\AddOns\\CzechQuests\\morpheus_cz.ttf"
local textFontPath = "Interface\\AddOns\\CzechQuests\\frizquadratatt_cz.ttf"

local tooltipFrame = CreateFrame("Frame", "TranslationInfoFrame", nil, BackdropTemplateMixin and "BackdropTemplate")
tooltipFrame:SetWidth(300)

local translationInfoFrameTexture = tooltipFrame:CreateTexture(nil, "BACKGROUND", nil, -1);
translationInfoFrameTexture:SetAllPoints(true);
translationInfoFrameTexture:SetTexture("Interface/QUESTFRAME/QuestBG");
translationInfoFrameTexture:SetTexCoord(0, .58, 0.005, 0.66)
translationInfoFrameTexture:SetHorizTile(true)
tooltipFrame:SetBackdrop({
    edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
    edgeSize = 8,
})
tooltipFrame:Hide()

local primaryHeader = tooltipFrame:CreateFontString("TranslationInfoFramePrimaryHeader", "OVERLAY", "QuestTitleFont")
primaryHeader:SetWidth(tooltipFrame:GetWidth() - 20)
primaryHeader:SetJustifyH("LEFT")
primaryHeader:SetTextColor(0, 0, 0, 1)
primaryHeader:SetFont(headerFontPath, 20, nil)

local secondaryHeader = tooltipFrame:CreateFontString("TranslationInfoFrameSecondaryHeader", "OVERLAY", "QuestTitleFont")
secondaryHeader:SetWidth(tooltipFrame:GetWidth() - 20)
secondaryHeader:SetJustifyH("LEFT")
secondaryHeader:SetTextColor(0, 0, 0, 1)
secondaryHeader:SetFont(headerFontPath, 17, nil)

local primaryText = tooltipFrame:CreateFontString("TranslationInfoFramePrimaryText", "OVERLAY", "QuestFont")
primaryText:SetWidth(tooltipFrame:GetWidth() - 20)
primaryText:SetJustifyH("LEFT")
primaryText:SetTextColor(0, 0, 0, 1)
primaryText:SetFont(textFontPath, 15, nil)

local secondaryText = tooltipFrame:CreateFontString("TranslationInfoFrameSecondaryText", "OVERLAY", "QuestFont")
secondaryText:SetWidth(tooltipFrame:GetWidth() - 20)
secondaryText:SetJustifyH("LEFT")
secondaryText:SetTextColor(0, 0, 0, 1)
secondaryText:SetFont(textFontPath, 15, nil)

TranslationInfoFrame:RegisterEvent("QUEST_PROGRESS")
TranslationInfoFrame:RegisterEvent("QUEST_COMPLETE")
TranslationInfoFrame:RegisterEvent("QUEST_FINISHED")
TranslationInfoFrame:RegisterEvent("QUEST_DETAIL")

TranslationInfoFrame:RegisterEvent("ITEM_TEXT_READY")
